For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
            • Companies
              • GETList Company Permissions
              • POSTCreate Company Permission
              • PUTUpdate Company Permission
              • DELDelete Company Permission
              • GETList Company Roles
              • POSTCreate Company Role
              • GETGet Company Role Details
              • PUTUpdate Company Role
              • DELDelete Company Role
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyCompany Roles and Permissions

Update Company Permission

PUT
https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions/:permissionId
PUT
/api/v3/io/companies/permissions/:permissionId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/companies/permissions/123456 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Get addresses",
> "description": "Get addresses",
> "code": "get_addresses",
> "moduleName": "address"
>}'
200Example 1
1{
2 "code": 200,
3 "data": {
4 "name": "Get addresses",
5 "description": "Get addresses",
6 "code": "get_addresses",
7 "moduleName": "address",
8 "id": 1,
9 "isCustom": false
10 },
11 "meta": {
12 "message": "SUCCESS"
13 }
14}
Updates an existing custom Company permission. Predefined permissions cannot be updated.
Was this page helpful?
Previous

Create Company Permission

Next

Delete Company Permission

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

permissionIdintegerRequired
The unique identifier for a Company permission.

Request

The name and code are unique within the same store.
namestringRequired<=200 characters
The name of the Company permission.
descriptionstringRequired<=512 characters

The simple description for the Company permission. See Permission Codes for a more detailed description of each predefined Company permission.

codestringRequired<=50 characters

The code string of the Company permission.

moduleNamestringOptional<=50 characters
The name of the module to which the permission belongs. This corresponds to the organizational section containing the permission when managing Company roles from the B2B Edition control panel.

Response

OK
codeintegerDefaults to 200
dataobject
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.